extends AudioStreamPlayer
class_name GMusic

const MUSIC = preload("res://assets/musics/ld54.ogg")

func _ready():
	stream = MUSIC
	autoplay = true
	volume_db = -10

func _process(_delta):
	if not is_playing():
		stop()
		play()
